Entwurfsansicht, HTML-Editor

Hinweis Die Entwurfsansicht ist nicht für Seiten verfügbar, die in Microsoft Office erstellt wurden. Sie können in der Quellcodeansicht HTML zwar ändern, die Entwurfsänderungen müssen jedoch in einem Microsoft Office-Programm erstellt werden. Die Entwurfsansicht ist nur für Seiten verfügbar, die im Microsoft Skript-Editor geöffnet wurden.

Die Entwurfsansicht im HTML-Editor bietet Ihnen folgende Möglichkeiten:

  • Anzeigen und Bearbeiten einer Seite in einer WYSIWYG-Umgebung.

  • Arbeiten mit HTML-Steuerelementen, wie z.B. Schaltflächen und Textfeldern, und den meisten ActiveX®-Elementen mit der entsprechenden visuellen Darstellung, die für diese im Browser zur Verfügung steht.

  • Verwenden der Menü- und Symbolleistenbefehle, um bestimmte Formatierungen vorzunehmen, die nicht in der Quellenansicht verfügbar sind, wie z.B. die Absatzausrichtung.

  • Verwenden von Menü- und Symbolleistenbefehlen, um bestimmte Elemente hinzuzufügen und zu bearbeiten, die Sie als HTML-Text in der Quellcodeansicht bearbeiten müssen, wie z.B. Tabellen und Listen.

  • Ziehen von Elementen aus der Werkzeugsammlung und dem Projekt-Explorer, um Elemente auf Ihrer Seite zu erstellen.

  • Ziehen von absolut positionierten Elementen, um diese neu zu positionieren.

  • Verwenden des Fensters Eigenschaften und der Dialogfelder für Eigenschaften von Zusatzsteuerelementen , um das Aussehen und das Verhalten von HTML-Text und -Steuerelementen auf der Seite zu bearbeiten.

  • Verwenden des Fensters HTML-Gliederung, um zu einem beliebigen Element auf der Seite zu springen.

    Anmerkung In der Entwurfsansicht zeigt der Editor nur den Rumpf eines Dokuments an, also den Teil, der dem HTML-Tag <BODY> folgt. Wenn Sie die Informationen im <HEAD>-Block bearbeiten wollen, müssen Sie die Quellcodeansicht oder die Eigenschaftenseiten des Elements verwenden.

In der Entwurfsansicht werden Webseiten in der Art von Microsoft Internet Explorer 4.0 formatiert und angezeigt, auch wenn Sie normalerweise einen anderen Browser verwenden.

Umschalten zur Entwurfsansicht

Verwenden Sie die Registerkarten am unteren Rand des Editorfensters, um zur Entwurfsansicht zu schalten. Wenn Sie ein vorhandenes Dokument in die Entwurfsansicht umschalten oder eine .htm-Datei in der Entwurfsansicht öffnen, kann es sein, dass der Editor die folgenden kleinen Anpassungen an Ihrem Dokument vornimmt, um die Seite darstellen zu können oder die Formatierungen zu erhalten:

  • Hinzufügen eines abschließenden HTML-Tags (z.B. </BODY>) zu einem Block, der zwar geöffnet aber nicht geschlossen wurde.

  • Konvertieren aller Tags in Großbuchstaben. Wenn Sie beispielsweise den Tag <table> in Quellcodeansicht eingegeben haben, wandelt der Editor diese in <TABLE> um. Diese Umwandlung tritt nur dann auf, wenn Sie in der Entwurfsansicht Änderungen durchführen.

  • Vervollständigen der Parameterliste (<PARAM>-Tags) für Objekte auf der Seite.

Unter gewissen Bedingungen kann der Editor nicht in die Entwurfsansicht umschalten. Wenn der Editor eine der folgenden Bedingungen erkennt, wird eine Nachricht mit dem Hinweis angezeigt, dass der Editor die Umschaltung nicht vornehmen kann:

  • Das Dokument enthält Framesets.

  • Eine .asp-Datei enthält Inline-Server-Skripts, die so komplex sind, dass der Editor die Seite nicht darstellen kann.

  • Das Dokument enthält Client-Skript zwischen <PARAM>-Tags.

Bearbeiten in der Entwurfsansicht

Das Bearbeiten erfolgt in der Entwurfsansicht ähnlich wie in einer Textverarbeitung. In der Regel formatieren Sie die Elemente, indem Sie den entsprechenden Text markieren und ihm mit Hilfe der HTML-Symbolleiste, der Entwurfs-Symbolleiste oder den gewünschten Menübefehlen die Formatierung zuweisen. Elemente, wie z.B. HTML-Steuerelemente, , Absätze, Zeilenumbrüche und horizontale Linien, können Sie hinzufügen, indem Sie diese von der Symbolleiste auf die Seite ziehen. Sie können das Aussehen eines markierten Elements verändern, indem Sie entsprechende Werte im Eigenschaftenfenster festlegen.

Tipp Sie können schnell zu einem beliebigen Element auf der Seite springen, indem Sie im Fenster HTML-Gliederung auf das Element klicken.

Hinweis Wenn Sie ein Element aus der Entwurfsansicht ausschneiden oder kopieren, enthält es zusätzliche Informationen, die zur Verwaltung des Elements verwendet werden. Wenn Sie das Element an einer anderen Stelle als der Entwurfsansicht einfügen, enthält es eventuell den zusätzlichen Tag DESIGNTIMEP. Überprüfen Sie stets das Ergebnis des Einfügevorgangs, wenn das Element aus der Entwurfsansicht stammt.

Elemente lassen sich einfach in die Seite einfügen, indem Sie diese aus der Werkzeugsammlung, dem Projekt-Explorer oder aus einer anderen Drag-Drop-Quelle ziehen. Beim Ablegen dieser Elemente auf der Seite erstellt der HTML-Editor entweder eine Instanz des Elements (z.B. ein ActiveX®-Steuerelement) oder einen Verweis darauf (z.B. ein Bild oder eine andere Datei).

Hinweis Wenn Sie ein Element, das einen Verweis erstellt, auf einer Seite ablegen, bezeichnet die URL des Verweises den absoluten Pfad zur Quelle der Datei. Sie müssen die URL eventuell in der Quellcodeansicht in einen relativen Pfad umwandeln.

Um das Aussehen von Elementen zu bestimmen, lassen sich diese entweder direkt oder mit Hilfe des Eigenschaftenfensters bearbeiten. Sie definieren die Schriftart von Text, indem Sie diesen markieren und auf der Dropdown-Liste Schriftname der HTML-Symbolleiste eine Schriftart auswählen.

Da nicht alle HTML-Elemente direkt in der Entwurfsansicht bearbeitet werden können, lassen sich bestimmte Attribute über das Eigenschaftenfenster festlegen. Wenn Sie ein Element in der Entwurfsansicht auswählen, werden in der Liste am oberen Rand des Eigenschaftenfensters alle derzeit verwendeten Tags aufgeführt. Bei Auswahl eines fett formatierten Buchstabens in einer Tabellenzelle wird im Eigenschaftenfenster der Tag <STRONG> angezeigt. Wenn Sie die Dropdown-Liste öffnen, sehen Sie die Tags <STRONG>, <TD>, <TR>, <TBODY> sowie alle zusätzlichen Tags für die Hierarchie bis zur Dokumentebene. Wählen Sie den gewünschten Tag, und definieren Sie ihre Eigenschaften im Fenster.

Formatierungen, die Sie in der Entwurfsansicht zugewiesen haben, werden so gut wie möglich übernommen, wenn Sie zu einer anderen Ansicht schalten. Wenn Sie z.B. zwischen zwei Wörtern Leerzeichen einfügen, werden diese als geschützte Leerzeichen in das HTML-Dokument übernommen.

Objekte, wie z.B. Schaltflächen und HTML-Befehle, Tabellen, Linien, Laufschriften, Bilder, und Steuerelemente zeigen einen Markierungsrahmen an, wenn Sie diese auswählen. Sie können deren Aussehen mit Hilfe des Eigenschaftenfensters bearbeiten.

Anmerkung Ändert sich eine Datei, auf die in Ihrem Dokument verwiesen wird - z.B. eine Formatvorlage, ein oder ein Bild -, während das Dokument geöffnet ist, aktualisiert der HTML-Editor die Ansicht des Dokuments nicht automatisch. Die jeweils aktuelle Version der Elemente, auf die in Ihrem Dokument verwiesen wird, erhalten Sie, indem Sie im Menü Ansicht auf Aktualisieren klicken.

Einige Elemente sind in der Entwurfsansicht nicht sichtbar. Wenn der Rumpf der Seite beispielsweise HTML-Kommentare oder einen SCRIPT-Block enthält, werden diese standardmäßig in der Entwurfsansicht nicht angezeigt. Sie können jedoch ihre Position ermitteln, indem Sie in der Entwurfs-Symbolleiste den Befehl Details anzeigen wählen. Im Editor wird dann eine kleine Glyphe für diese unsichtbaren Elemente angezeigt.

Achtung Enthält die Seite eines dieser unsichtbaren Elemente im Rumpfteil des Dokuments (Skripts werden in der Regel in den Kopfteil eingefügt, der nicht in der Entwurfsansicht erscheint), wird dringend empfohlen, dass Sie bei der Arbeit die Anzeige der Details einschalten. Ansonsten kann es passieren, dass unsichtbare Elemente bei der Bearbeitung versehentlich gelöscht werden.

Wenn ein Element Text enthält, wie z.B. eine beschriftete Schaltfläche, eine Tabelle, eine Laufschrift, ein Textfeld oder ein Beschriftungsfeld, können Sie den Text in der Entwurfsansicht bearbeiten.

So bearbeiten Sie Text von Steuerelementen

  • Markieren Sie den entsprechenden Text im Element. Wenn die Einfügemarke erscheint, bearbeiten Sie den Text.

Um sich das Bearbeiten noch einfacher zu machen, können Sie im Dialogfeld Optionen oder auf der Symbolleiste Entwurf folgende Optionen einstellen:

  • Am Raster ausrichten Richtet Elemente an einem unsichtbaren Raster auf der Seite aus. Sie können den Rasterabstand im Dialogfeld Optionen einstellen. Das Raster wird dann beim nächsten Öffnen eines Dokuments geändert.

  • Sichtbare Rahmen Zeigt einen Rahmen mit der Pixelstärke 1 für Container-Steuerelemente an, wie z.B. Tabellen, die keinen Rahmen besitzen. Diese Option hat keine Wirkung auf Elemente, die schon einen Rahmen besitzen, wie z. B. Tabellen mit Rahmen.

  • Details anzeigen Zeigt die folgenden Schriftzeichen an, um die Stelle von Seitenelementen zu markieren, die keine sichtbare Komponente besitzen.

    Anmerkung Die Schriftzeichen sind schwarz, so dass sie nicht sichtbar sind, wenn Ihr Hintergrund schwarz eingestellt ist.

    Schriftzeichen Bedeutung
    HTML-Kommentar
    Client-Skriptblock(<SCRIPT>) oder Server-Skriptblock auf einer .asp-Seite (<% %> oder <SCRIPT RUNAT="Server">)
    Stilblock (<STYLE>)
    <NOFRAMES>-Tag. Wird verwendet, um einen alternativen Inhalt für Browser anzugeben, die keine Rahmen unterstützen.
    Verankerungspunkt für absolut positionierte Elemente oder für Elemente, die zentriert oder rechts ausgerichtet sind. Das Schriftzeichen erscheint dort, wo sich der HTML-Tag, der das Element definiert, im Dokument befindet.
    Nicht erkannter HTML-Tag

Ausschneiden und Einfügen in der Entwurfsansicht

Wenn Sie Text in die Windows®-Zwischenablage aus einer HTML-Quelle (wie z.B. dem Internet Explorer, der Entwurfsansicht des Microsoft Skript-Editor oder dem Hilfesystem bzw. den Beispielanwendungen von Microsoft Skript-Editor) ausschneiden oder kopieren, stehen zwei Versionen des Textes zur Verfügung: Eine HTML-Version und eine Textversion.

Die HTML-Version verwendet HTML Escape-Sequenzen für bestimmte Zeichen wie z.B. <,.> sowie Anführungszeichen. Beispiel: Beim Kopieren von "<MARQUEE>" in die Zwischenablage sieht die HTML-Version wie folgt aus: "&lt;MARQUEE&gt;". Die Textversion enthält eine exakte Kopie des ausgeschnittenen oder kopierten Textes.

Beim Einfügen können Sie eine der beiden Versionen wählen. Um die HTML-Version einzufügen, wählen Sie Einfügen aus dem Menü Ansicht oder dem Kontextmenü. Um die Textversion einzufügen, wählen Sie Als HTML einfügen aus dem Kontextmenü. Allgemein sollten Sie Einfügen verwenden, wenn Sie den tatsächlichen Text anzeigen möchten, z.B. "<MARQUEE>". Wählen Sie Als HTML einfügen, wenn Sie einen Tag erstellen möchten. Tags werden nicht in der Entwurfsansicht angezeigt, so dass der sichtbare Text eventuell nicht dem ursprünglichen ausgeschnittenen Text entspricht.

Skript hinzufügen

Skript kann schnell erstellt und bearbeitet werden.

So bearbeiten Sie Skript in der Entwurfsansicht

  • Doppelklicken Sie auf das Element, das auf der Seite markiert ist.

    – Oder –

  • Klicken Sie mit der rechten Maustaste auf das Element, und wählen Sie dann Skript bearbeiten.

Wenn Sie Skriptcode bearbeiten, schaltet der Editor in die Quellcodeansicht und öffnet das Fenster Skriptgliederung. Im Fenster Skriptgliederung wird der Fokus auf die Standardbehandlungsroutine für das markierte Element gesetzt. Sie können dann auf den Namen des Ereignisses doppelklicken, um eine neue Behandlungsroutine für das Element zu erstellen, oder das Fenster Skriptgliederung nach einem vorhandenen Skript durchsuchen.

Unterschiede bei der Darstellung in der Entwurfsansicht

Die Darstellung eines Dokuments in der Entwurfsansicht unterscheidet sich in folgender Weise von der Ansicht in einem Browser:

  • Zeichen- und Absatzformatierungen können unterschiedlich angezeigt werden, weil jeder Browser Formatierungen verschieden implementieren kann.

  • Verknüpfungen sind nicht aktiv.

  • Client-Skripte werden nicht ausgeführt.

  • Laufschrift-Elemente (Marquee) sind nicht aktiv.

  • Elemente, die alternativen Text unterstützen (wie z.B. Bilder), zeigen den alternativen Text in der QuickInfo nicht an, wenn sich der Mauszeiger über ihnen befindet.

  • In der Entwurfsansicht können Schriftzeichen für einige Elemente angezeigt werden, wie z.B. für HTML-Kommentare oder Skripts, die normalerweise im Browser nicht sichtbar sind. Eine Liste der Schriftzeichen finden Sie oben unter "Bearbeiten in der Entwurfsansicht".


Ansicht Quelle, HTML-Editor

Die Ansicht Quelle im HTML-Editor bietet Ihnen die folgenden Möglichkeiten:

  • Anzeigen und Bearbeiten von Text und HTML-Tags .

  • Anzeigen und Bearbeiten von Skripts auf einer Seite.

  • Arbeiten mit Entwurf-Steuerelementen, und den meisten anderen Objekten in der Darstellung, wie sie auch im Browser erfolgt. (Interne HTML-Steuerelemente werden als HTML-Text angezeigt.)

  • Ziehen von Elementen aus der Werkzeugsammlung und aus dem Projekt-Explorer, um Elemente auf Ihrer Seite zu erstellen.

  • Verwenden des Eigenschaftenfensters und der Dialogfelder für Eigenschaften von Zusatzsteuerelementen, um Aussehen und Verhalten von HTML-Text und -Steuerelementen auf der Seite zu bearbeiten.

Hinweis In der Quellcodeansicht werden im Eigenschaftenfenster keine Stileigenschaften angezeigt. Diese lassen sich direkt innerhalb eines HTML-Tags oder mit Hilfe des Eigenschaftenfensters in der Entwurfsansicht bearbeiten.

  • Verwenden des HTML-Gliederungsfensters, um zu einem beliebigen Element auf der Seite zu springen.

  • Verwenden des Skriptgliederungsfensters, um Skripts für Elemente auf der Seite anzuzeigen und zu erstellen.

  • Ausführen von Debugger-Funktionen, wie z.B. Haltepunkte setzen oder den Bezeichner der aktuellen Zeile anzeigen.

Die Quellcodeansicht dient der direkten Arbeit mit dem "rohen" HTML-Text, die eine genaue Kontrolle über die auf der Seite verwendeten Tags ermöglicht. Trotzdem können Sie standardmäßig weiterhin visuell mit Objekten arbeiten.

Bearbeiten in der Quellcodeansicht

Zur Unterstützung Ihrer Arbeit in der Quellcodeansicht wird der Text im Editor entsprechend seiner Funktion farbig angezeigt. HTML-Tags werden zum Beispiel als Voreinstellung in braun dargestellt, Attribute von Tags in rot, Attributwerte in blau usw. Wenn die Seite Skriptcode enthält, wird dieser entsprechend den Regeln der verwendeten Skriptsprache eingefärbt.

Elemente lassen sich in die Seite einfügen, indem Sie diese aus der Werkzeugsammlung, dem Projekt-Explorer oder aus einer anderen Drag-Drop-Quelle ziehen. Beim Ablegen dieser Elemente auf der Seite erstellt der HTML-Editor entweder eine Instanz des Elements (z.B. ein Applet) oder einen Verweis darauf (z.B. ein Bild oder eine andere Datei).

Hinweis Wenn Sie ein Element, das einen Verweis erstellt, auf einer Seite ablegen, bezeichnet die URL des Verweises den absoluten Pfad zur Quelle der Datei. Sie müssen die URL eventuell in der Quellcodeansicht in einen relativen Pfad umwandeln.

HTML-Text kann in die Quellcodeansicht eingefügt werden. Wenn Sie Text aus einer HTML-Quelle (wie z.B. dem Internet Explorer, der Entwurfsansicht von Microsoft Skript-Editor oder dem Hilfesystem bzw. den Beispielanwendungen von Microsoft Skript-Editor) ausschneiden oder kopieren, verwenden Sie den Befehl Als HTML einfügen aus dem Kontextmenü. Ansonsten fügt der Editor eine Version des HTML-Textes mit Escape-Codes anstelle der für HTML vorgesehenen Zeichen ein. Beispiel: Beim Kopieren von "<MARQUEE>" in die Zwischenablage sieht die HTML-Version wie folgt aus: "&lt;MARQUEE&gt;". Die Textversion enthält eine exakte Kopie des ausgeschnittenen oder kopierten Textes.

Sie können zwischen Skripts mit Hilfe des Skriptgliederungsfensters hin- und herwechseln. Durch Klicken auf den Namen eines Skripts wird die Einfügemarke in dieses Skript gesetzt. Wenn Sie an einem Skript innerhalb einer Seite arbeiten und wissen wollen, wo Sie sich innerhalb des Skriptgliederungsfensters gerade befinden, dann klicken Sie mit der rechten Maustaste auf den Skriptblock und wählen Skriptgliederung synchronisieren.

Anmerkung Ändert sich eine Datei, auf die in Ihrem Dokument verwiesen wird - z. B. eine Formatvorlage, ein oder ein Bild -, während das Dokument geöffnet ist, aktualisiert der HTML-Editor die Ansicht des Dokuments nicht automatisch. Die jeweils aktuelle Version der Elemente, auf die in Ihrem Dokument verwiesen wird, erhalten Sie, indem Sie im Menü Ansicht auf Aktualisieren klicken.

Die Quellcodeansicht ermöglicht Ihnen das Umschalten zwischen der bildlichen und der Textdarstellung für jedes Steuerelement auf der Seite. Wenn Sie z.B. mit einem Objekt arbeiten, können Sie seine Parameter mit Hilfe des Eigenschaftenfensters festlegen, oder Sie können die entsprechenden Werte direkt innerhalb des <PARAM>-Tags des Objekts festlegen. Wenn Sie Entwurf-Steuerelemente auf Ihrer Seite verwenden, können Sie in der Quellcodeansicht sowohl das für diese Steuerelemente generierte Skript als auch die Objektinformationen sehen, die das Steuerelement verwendet, um sich mit anderen Steuerelementen abzustimmen.

Anmerkung Normalerweise sollten Sie generierte Skript- oder Objektinformationen, die von einem Tool (wie z. B. einem Entwurf-Steuerelement) erstellt worden sind, nicht bearbeiten, weil dies dazu führen kann, dass die Seite nicht mehr korrekt funktioniert.

Anzeigen der bildlichen Darstellung von Objekten

Standardmäßig werden Entwurf-Steuerelemente, und andere Objekte in Ihrer bildlichen Darstellung auf der Seite angezeigt.

Anmerkung Wenn Sie ein Objekt markiert haben, das eine bildliche Darstellung besitzt, gibt die in der Statusleiste angezeigte Zeilennummer die Zeile an, die dem Objekt unmittelbar folgt.

Die Steuerelemente können auch in der HTML-Textdarstellung angezeigt werden. Dadurch können Sie schnell zwischen den Ansichten wechseln, da der Editor das Steuerelement nicht grafisch darstellen muss. Wenn ein Steuerelement als Text angezeigt wird, findet allerdings keine Abstimmung mit anderen Steuerelementen auf der Seite statt. Wenn Sie ein anderes Steuerelement hinzufügen oder ändern, während Sie sich in der Textansicht befinden, funktionieren die Steuerelemente auf der Seite nicht dem Entwurf entsprechend. Sie sollten Steuerelemente als Text anzeigen, wenn Sie mit HTML-Text, und nicht mit den Steuerelementen, arbeiten möchten.

So zeigen Sie die Textdarstellung für ein einzelnes Steuerelement an

  • Klicken Sie mit der rechten Maustaste auf das Steuerelement und dann auf Immer als Text anzeigen.

So ändern Sie die Voreinstellung für die Steuerelemente in Textdarstellung um

  • Stellen Sie in den HTML-Editor-Optionen die Darstellung der Quellansicht auf Text ein.

    Anmerkung Die Textansicht einer Steuerelements kann nicht mit Kopieren und Einfürgen bearbeitet werden. Wenn Sie ein Steuerelement kopieren möchten, verwenden Sie dessen grafische Ansicht.

    Wenn Sie ein Entwurf-Steuerelement verwenden, generiert das Steuerelement Skriptcode innerhalb Ihrer Seite. Das Steuerelement fügt auch Objektinformationen als HTML-Text hinzu, die es verwendet, um den generierten Skriptcode mit dem anderer Entwurf-Steuerelemente auf der Seite abzustimmen. Sie können sich dieses so generierte Skript in einer Vorschau anzeigen lassen.

So zeigen Sie von einem Entwurf-Steuerelement generierten Skriptcode vorab an

  • Klicken Sie mit der rechten Maustaste auf das Steuerelement und dann auf Laufzeittext anzeigen. Das generierte Skript wird dann unmittelbar unter dem Steuerelement in einem grau markierten, schreibgeschützten Block angezeigt.

Die Objektinformationen für ein Entwurf-Steuerelement können auch entfernt werden, um die Größe der Seite zu reduzieren. Da das Steuerelement dann jedoch auf statischen Text reduziert wird, kann es nicht länger automatisch mit anderen Steuerelementen abgestimmt werden und kann dadurch eine Fehlfunktion der Seite hervorrufen. Entfernen Sie die Objektinformationen nur, wenn Sie das Steuerelement anpassen und es nicht seinem Entwurf entsprechend verwenden möchten.

So entfernen Sie Objektinformationen von Entwurf-Steuerelementen

  • Klicken Sie mit der rechten Maustaste auf das Steuerelement und dann auf In Laufzeittext umwandeln. Die bildliche Darstellung des Steuerelements wird ersetzt durch das generierte Skript.

Vorsicht Sie können diesen Befehl nicht rückgängig machen.

Skript hinzufügen

Das Skriptgliederungsfenster zeigt eine Strukturansicht an, die die Objekthierarchie sowohl für den Client als auch für den Server beinhaltet. Jedes Skript auf der Seite wird in der Baumstruktur als Knoten angezeigt.

Unter jedem Objekt ist in der Hierarchie eine Liste von Ereignissen enthalten, die von diesem Objekt unterstützt werden. Wenn eine Behandlungsroutine für ein Ereignis existiert, wird der Name des Ereignisses fett angezeigt. Eine neue Behandlungsroutine können Sie erstellen, indem Sie auf den Namen des Ereignisses doppelklicken. Zu einem existierenden Skript können Sie springen, indem Sie in der Baumstruktur auf den entsprechenden Knoten klicken.

Beim Verfassen von Skripts unterstützt Sie der HTML-Editor durch IntelliSense®- es werden Vorschläge für das Vervollständigen der Anweisungen angezeigt. Wenn Sie den Namen eines auf Ihrer Seite verfügbaren Objekts gefolgt von einem Punkt eingeben, zeigt der Editor alle Elemente der entsprechenden Objektklasse an.

Auf die folgende Weise können Sie schnell Skriptcode für ein Seitenelement erstellen oder bearbeiten:

  • Klicken Sie mit der rechten Maustaste auf die Seite und dann auf Skript bearbeiten.

  • Doppelklicken Sie auf ein Element, das eine bildliche Darstellung besitzt.

Debuggen in der Quellcodeansicht

In der Quellcodeansicht können Sie Debugger-Befehle ausführen, wie z.B. das Setzen von Haltepunkten, indem Sie im Menü Debuggen oder der Debugsymbolleiste auf die entsprechenden Befehle klicken. Am linken Rand des Editorfensters werden die Schriftzeichen angezeigt, die die Haltepunkte kennzeichnen.

Wenn der Debugger ausgeführt wird, wird die aktuelle Seite in der Quellcodeansicht angezeigt, so dass Sie die einzelnen Skriptzeilen sehen können. Die aktuelle Zeile ist am Rand mit einem Pfeilsymbol gekennzeichnet.


Vorschau im HTML-Editor

Die Vorschau im HTML-Editor bietet folgende Möglichkeiten:

  • Anzeigen von .htm-Dateien, die in etwa der Anzeige im Browser entspricht.

    Hinweis In der Vorschau wird kein Serverskript verarbeitet, weshalb .asp-Dateien nicht wie in einem Browser angezeigt werden. Wenn beispielsweise ein Entwurf-Steuerelement über ein Laufzeit-Serverskript erstellt wird, erscheint es nicht in der Vorschau.

  • Anzeigen von Clientelementen von .asp-Dateien, wie z.B. HTML-spezifische Steuerelemente.

  • Anzeigen der aktuellen Änderungen ohne Speicherung des Dokuments.

  • Testen von Client-Laufzeitelementen auf der Seite, wie z.B. Verknüpfungen, Lesezeichen, Laufschriften und Client-Skripts (aber keine Serverskripts).

Mit den Registerkarten am unteren Rand des Editors können Sie in die Ansicht Vorschau umschalten. In der Vorschau läßt sich die Seite nicht bearbeiten. Außerdem ist die Dokumentgliederung nicht sichtbar.

Hinweis Wenn sich eine referenzierte Datei bei geöffnetem Dokument ändert, (wie z.B. ein Stylesheeet oder Bild), wird die Anzeige des Dokuments vom HTML-Editor nicht automatisch aktualisiert. Um die aktuellen Versionen von im Dokument referenzierten Dateien zu erhalten, wählen Sie Aktualisieren aus dem Menü Anzeige.

Die Vorschau unterscheidet sich von der Entwurfsansicht, da die Seite interaktiv ist. Sie können auf Verknüpfungen oder HTML-Steuerelemente klicken und sehen gleich das Ergebnis. Darüber hinaus entspricht die Seite mehr Ihrem Aussehen im Internet Explorer.

Hinweis Alle relativen URL-Verweise funktionieren so, als ob sich das Dokument in seinem Verzeichnis auf dem Ziel-Webserver befinden würde.

Die Vorschau stellt das Dokument in seiner Formatierung für Internet Explorer 4.0 dar, selbst wenn Sie für gewöhnlich einen anderen Browser verwenden.

Sicherheit in der Vorschau

In der Vorschau werden Objekte einer Seite nicht auf Signaturen überprüft. Dies erleichtert die Vorschau einer Seite, da Sie nicht auf Berechtigungsabfragen für die Arbeit mit Objekten antworten müssen.

Da die Vorschau keine Sicherheitsaspekte des Browsers miteinschließt, sollten Sie folgende Punkte berücksichtigen:

  • Sorgen Sie dafür, dass die Objekte auf der Seite für das Skripting sicher sind.

  • Testen Sie die Seite, indem Sie diese im Browser genau so anzeigen, wie Sie die von Benutzern erwarten.


HTML-Gliederungsfenster

Das HTML-Gliederungsfenster stellt eine Übersicht der HTML-Elemente auf Ihrer Seite bereit und einen bequemen Weg, sich zwischen ihnen hin und her zu bewegen. Das HTML-Gliederungsfenster bietet Ihnen die folgenden Möglichkeiten:

  • Anzeigen einer Strukturansicht der Elemente im Rumpfteil Ihrer Seite.

  • Schnelles Bewegen zu einem Objekt im HTML-Editor (sowohl in Entwurfs- als auch Quellcodeansicht).

  • Auswählen eines Elements im HTML-Editor durch Klicken auf das Element im HTML-Gliederungsfenster.

Das HTML-Gliederungsfenster zeigt die gebräuchlichsten Elemente für ein Dokument an. Es werden nicht alle einsetzbaren Elemente angezeigt, um zu verhindern, dass die Ansicht zu komplex wird. Nicht angezeigt werden im HTML-Gliederungsfenster z.B. einzelne Absatztags (<P>) oder einzelne Tabellenzellen (<TD>). Die komplette Liste der Elemente, die im HTML-Gliederungsfenster erscheinen können, wird in der folgenden Tabelle aufgeführt.

Element | HTML-Tag
Rumpf
<BODY>
Formular
<FORM>
Textfeld | <INPUT> oder <INPUT TYPE="text">
Beschriftungsfeld
<TEXTAREA>
Kennwortfeld
<INPUT TYPE="password">
Dateifeld
<INPUT TYPE="file">
Verborgenes Feld
<INPUT TYPE="hidden">
Kontrollkästchen
<INPUT TYPE="checkbox">
Optionsfeld
<INPUT TYPE="radio">
Submit-Schaltfläche <INPUT TYPE="submit"> oder
<INPUT TYPE="image"> oder
<BUTTON TYPE="submit">
Reset-Schaltfläche <INPUT TYPE="reset"> oder
<BUTTON TYPE="reset">
Schaltfläche <INPUT TYPE="button"> oder
<BUTTON TYPE="button"> oder
<BUTTON>
Kombinationsfeld
<SELECT>
Listenfeld
<SELECT SIZE=2>
Hyperlink
<A HREF="URL">
Lesezeichen
<A NAME="name">
Bild
<IMG>
Laufschrift
<MARQUEE>
IFrame
<IFRAME>
Tabelle
<TABLE>
Tabellenzeile
<TR>
Steuerelement
<OBJECT>
Java-Applet
<APPLET>
Teilung
<DIV>
Umspannung
<SPAN>
Horizontale Linie
<HR>

Objekte erscheinen im HTML-Gliederungsfenster nur, wenn sie auf der Seite zwischen den Tags <BODY> und </BODY>. Die Strukturansicht zeigt Objekte entsprechend der Dokumenthierarchie an. Wenn z.B. eine Tabelle in einem Formular erscheint, wird die Tabelle im HTML-Gliederungsfenster als Knoten unter dem Knoten des Formulars angezeigt.

Falls das Element eine ID besitzt, wird diese in der Strukturansicht angezeigt, ansonsten wird sein Name angezeigt. Besitzt das Element weder ID noch Namen, dann wird der Typ des Elements (z.B. "Submit ") in der Gliederungsansicht angezeigt.

So bewegen Sie sich zu einem Objekt

  • Klicken Sie in der HTML-Gliederung auf den Namen des Objekts. Die Einfügemarke im HTML-Editor verschiebt sich dann zu diesem Objekt. Wenn das Eigenschaftenfenster eingeblendet ist, werden die Eigenschaften des Objekts angezeigt.


Registerkarte "Farbe und Ränder" (Dialogfeld "Seiteneigenschaften")

Hier können Sie die Farbe für den Seitenhintergrund, für normalen Text und Verknüpfungstext festlegen.

Mit der Registerkarte Farbe und Ränder können Sie Folgendes tun:

  • Farben aus den Dropdown-Listen wählen.

  • Eine benutzerdefinierte Farbe wählen.

  • Die Farbkombinationen anzeigen, wie sie auf der Seite erscheinen.

Optionen

Farbe

Hintergrund

Legt die Hintergrundfarbe der Seite fest. Wählen Sie eine Farbe aus der Dropdown-Liste aus, oder klicken Sie auf die Schaltfläche mit den drei Punkten, um eine benutzerdefinierte Farbe zu wählen.

Text

Legt die normale Textfarbe der Seite fest. Wählen Sie eine Farbe aus der Dropdown-Liste, oder klicken Sie auf die Schaltfläche mit den drei Punkten, um eine benutzerdefinierte Farbe zu auszuwählen.

Hyperlink

Legt die Farbe derjenigen Hyperlinks fest, die der Benutzer noch nicht besucht hat. Wählen Sie eine Farbe aus der Dropdown-Liste aus, oder klicken Sie auf die Schaltfläche mit den drei Punkten, um eine benutzerdefinierte Farbe auszuwählen.

Besuchter Hyperlink

Legt die Farbe der Hyperlinks fest, auf die der Benutzer bereits zugegriffen hat. Wählen Sie eine Farbe aus der Dropdown-Liste aus, oder klicken Sie auf die Schaltfläche mit den drei Punkten, um eine benutzerdefinierte Farbe auszuwählen.

Aktiver Hyperlink

Legt die Farbe der Hyperlinks fest, die der Benutzer ausgewählt hat. Wählen Sie eine Farbe aus der Dropdown-Liste aus, oder klicken Sie auf die Schaltfläche mit den drei Punkten, um eine benutzerdefinierte Farbe auszuwählen.

Vorschau

Hier können Sie eine Vorschau der Interaktionen zwischen den verschiedenen Seitenfarboptionen ansehen.

Seitenränder

Anmerkung Browser haben normalerweise Standardwerte für Seitenränder (meist 15 Pixel). Wenn Sie die Registerkarte Farbe und Ränder des Dialogfelds Seiteneigenschaften aus der Entwurfsansicht des HML-Editors aufrufen, ist die Voreinstellung in den Feldern für die Seitenränder auf 15 Pixel gesetzt, um der Funktionalität des Browsers zu entsprechen. In der Quellcodeansicht werden die Werte auf Null gesetzt. Wenn Sie allerdings einen bestimmten Wert für den Seitenrand angeben, ersetzt dieser in jeder der beiden Ansichten die Voreinstellung.

Oben

Legt den Rand für die obere Seitenkante in Pixeln fest. Diese Option setzt die Voreinstellung für den Seitenrand außer Kraft.

Unten

Legt den Rand für die untere Seitenkante in Pixeln fest. Diese Option setzt die Voreinstellung für den Seitenrand außer Kraft.

Links

Legt den Rand für die linke Seitenkante in Pixeln fest. Diese Option setzt die Voreinstellung für den Seitenrand außer Kraft.

Rechts

Legt den Rand für die rechte Seitenkante in Pixeln fest. Diese Option setzt die Voreinstellung für den Seitenrand außer Kraft.


Registerkarte Allgemein (Dialogfeld Bildeigenschaften)

Ermöglicht es Ihnen, eine Bilddatei zusammen mit Optionen für die Darstellung des Bildes festzulegen.

Optionen

Bildquelle

Gibt den Namen zusammen mit dem vollständigen Pfad einer Bilddatei (.gif, .jpg oder .jpeg) an, die als Bild eingefügt werden soll. Um einen Namen mit Hilfe des Dialogfelds URL erstellen auszuwählen, klicken Sie auf die Schaltfläche Durchsuchen.

Anmerkung Wenn Sie auf eine Bilddatei verweisen, die nicht schon Teil Ihres Projekts ist, wird das Bild nicht automatisch Ihrem Projekt hinzugefügt.

Alternativer Text

Gibt den Text an, den der Browser anzeigt, wenn das Bild nicht verfügbar ist. Bei einigen Browsern, wie z. B. dem Internet Explorer, wird der Text auch in einem QuickTip angezeigt, wenn der Benutzer den Mauszeiger über dem Bild hält.

Layout

Gibt an, wie das Bild am umgebenden Text ausgerichtet wird. Sie haben die Auswahl aus den folgenden Optionen:

Option | Ausrichtung
Left | Richtet am linken Rand aus.
Right | Richtet am rechten Rand aus.
Texttop | Richtet die Oberkante des Bildes am oberen Rand des Textes in der aktuellen Zeile aus.
Absmiddle | Richtet die Mitte des Bildes an der Mitte des Textes in der aktuellen Zeile aus.
Baseline | Richtet die Unterkante des Bildes an der Grundlinie des Textes in der aktuellen Zeile aus.
Absbottom | Richtet die Unterkante des Bildes am unteren Rand des Textes in der aktuellen Zeile aus.
Bottom | Wie Baseline.
Middle | Richtet die Mitte des Bildes an der Grundlinie des Textes in der aktuellen Zeile aus.
Top | Richtet die Oberkante des Bildes an der Oberkante des größten Elements in der aktuellen Zeile aus.

Anmerkung Die Optionen Absmiddle, Baseline, Absbottom und Texttop werden nur von Browsern mit HTML 4.0-Implementierung unterstützt.

Höhe

Gibt die Gesamthöhe des Bildes an. Wenn Sie keine Höhe angeben, berechnet der Browser die Größe des Bildes, wenn es dargestellt wird.

Breite

Gibt die Gesamtbreite des Bildes in Pixel an. Wenn Sie keine Breite angeben, berechnet der Browser die Größe des Bildes, wenn es dargestellt wird.

Rahmenstärke

Gibt die Breite des Rahmens um das Bild in Pixel an. Geben Sie eine Null ein, wenn kein Rahmen angezeigt werden soll.

Horizontaler Abstand

Gibt den horizontalen Abstand zwischen dem Bild und dem umgebenden Text in Pixel an.

Vertikaler Abstand

Gibt den vertikalen Abstand zwischen dem Bild und dem umgebenden Text in Pixel an.

Imagemap

Gibt Informationen über Hotspots an, wenn das Bild als Imagemap (d.h. als ein einzelnes Bild, in dem verschiedene Bereiche verschiedene Verknüpfungen enthalten können) verwendet wird.

Lokale Hotspot-Informationen

Gibt die Lage und den Namen eines <MAP>-Blocks an, der die Koordinaten für jeden Hotspot-Bereich des Bildes enthält. Geben Sie die URL-Adresse der Datei ein, die den <MAP>-Block enthält, sowie ein Nummernzeichen (#) und den Namen, der dem <MAP>-Block zugewiesen ist. Wenn sich der <MAP>-Block in der aktuellen Datei befindet, lassen Sie die URL-Adresse leer, geben aber das Nummernzeichen und den Namen des <MAP>-Blocks ein.

Hotspot-Informationen auf Server

Gibt an, dass die Zuordnungsinformationen auf dem Server verarbeitet werden. Wenn der Benutzer auf die Imagemap klickt, werden die Koordinaten des Klicks zusammen mit der URL-Adresse im Informationsfeld für den lokalen Hotspot zum Server gesendet.


Registerkarte "Allgemein" (Dialogfeld "Hyperlinkeigenschaften")

Hier können Sie URLs (Uniform Resource Locators) definieren, Lesezeichen erstellen, Zielrahmen auswählen und den Popup-Text für Verknüpfungen festlegen. Weitere Informationen finden Sie unter "Dialogfeld Hyperlink einfügen".

Optionen

Hyperlinktyp

Legt den Hyperlinktyp fest. Sie könnten z.B. folgende Arten von Links wählen: mailto:, news:, http:, telnet: oder ftp:.

Hyperlink

Legt den URL für den Hyperlink fest. Um nach einem URL zu suchen, klicken Sie auf Durchsuchen.

Lesezeichen erstellen

Legt den Namen des Lesezeichens fest. Sie können ein Lesezeichen erstellen, indem Sie den Namen des Lesezeichens im Textfeld eingeben und dann in der Dropdown-Liste Hyperlinktyp "(sonst.)" auswählen.

Rahmenziel

Legt das Zielfenster des Hyperlinks fest.

Popup-Text

Legt den Titel fest, der in einer QuickInfo angezeigt wird, wenn der Mauszeiger sich auf einem Hyperlink befindet.


Registerkarte "Allgemein" (Dialogfeld "Seiteneigenschaften")

Hier können Sie den Titel, das Hintergrundbild, die Skriptsprache und das Browser-Objektmodell einer Seite festlegen.

Optionen

Seitenname

Legt den Namen fest, der beim Anzeigen der Seite in einem Browser in der Titelleiste angezeigt wird.

Hintergrundbild

Zeigt den Namen und Pfad der für den Seitenhintergrund verwendeten .gif-, .jpg- oder .jpeg-Datei an. Sie können das Hintergrundbild ändern, indem Sie auf Durchsuchen klicken und nach einem neuen Bild suchen.

Statischer Hintergrund

Legt fest, dass für den Hintergrund kein Bildlauf möglich ist.

Standard-Skriptsprache

Server

Legt die Standard-Server-Skriptsprache für Skriptblöcke fest, die kein ausdrückliches Language-Attribut enthalten. Am oberen Seitenrand wird folgender Tag hinzugefügt:

<%@ language=VBScript %>

- Oder -

<%@ language=JavaScript %>

Client

Legt die Standard-Client-Skriptsprache für Skriptblöcke fest, die im Skriptgliederungsfenster generiert werden, wenn Sie auf den Namen einer Ereignisbehandlungsroutine doppelklicken. Wenn VBScript die Standardsprache ist, werden Behandlungsroutinen im Skriptblock clientEventHandlersVBS erstellt. Wenn JavaScript die Standardsprache ist, werden Behandlungsroutinen im Skriptblock clientEventHandlersJS erstellt.

ASP-Einstellungen

Transaktionen aktivieren

Legt fest, ob Microsoft Transaction Server Änderungen, die auf einer Seite auftreten, z.B. Datenbankmanipulationen oder die Übertragung einer MSMQ-Meldung, als Transaktionen berücksichtigen soll. Eine Transaktion ist eine Server-Operation, die als Ganzes gelingt oder misslingt, auch wenn die Operation eine Vielzahl von Schritten umfasst. Die Verarbeitung von Transaktionen gilt nur für den Datenbankzugriff. Transaktions-Server können Änderungen am Dateisystem oder an anderen Ressourcen, die keine Transaktionen vornehmen, nicht zurücksetzen. Microsoft Transaction Server gehört zum Microsoft Internet Information Server. Wenn diese Option ausgewählt ist, wird am oberen Seitenrand folgender Tag hinzugefügt:

<% @ Transaction=required%>

Weitere Informationen finden Sie unter "Erstellen von Transaktions-Skripts" in der Dokumentation zu Microsoft Internet Information Server.

Sitzungsstatus aktivieren

Legt fest, dass Internet Information Server die Session-Objektunterstützung zum Verwalten von Benutzerinformationen im Verlauf eines Aufrufs zulässt. Am oberen Seitenrand wird folgender Tag hinzugefügt:

<%@ EnableSessionState=FALSE %>

Anmerkung Mit dem Session-Objekt können Sie die für eine bestimmte Benutzersitzung notwendigen Informationen speichern. Die im Session-Objekt gespeicherten Variablen werden nicht entfernt, wenn der Benutzer sich zwischen den Seiten der Anwendung hin- und herbewegt; sie bleiben vielmehr für den gesamten Zeitraum, während dem ein Benutzer auf die Seiten Ihrer Anwendung zugreift, erhalten. Sie können außerdem Session-Methoden verwenden, um eine Sitzung ausdrücklich zu beenden und die Zeitüberschreitungsperiode für eine Sitzung im Leerlauf festzulegen. Weitere Informationen finden Sie unter "Verwalten von Sitzungen".


Registerkarte "Allgemein" (Dialogfeld "Auswahleigenschaften")

Hier können Sie die Größe und die Optionen für ein Listenfeld oder eine Dropdown-Liste festlegen.

Optionen

Name

Legt einen Namen für die Liste, das Listenfeld bzw. die Dropdown-Liste fest. Diese Option stimmt mit dem Namensattribut des SELECT-Tags überein.

Größe

Legt die Höhe der Liste durch Erhöhen und Verringern der Anzahl der anzeigbaren Listenoptionen fest. Durch Vergrößern der Höhe des Listenfelds können Sie eine Liste mit Bildlauf oder ein statisches Listenfeld mit Optionen erstellen. Wenn Sie diese Option auf 0 einstellen, wird eine Dropdown-Liste erstellt.

Mehrfachauswahl zulassen

Gibt an, dass Benutzer mit Hilfe der STRG-Taste oder UMSCHALTTASTE zwei oder mehr Optionen aus der Liste auswählen können.

Optionen für SELECT-Tag

Text

Definiert den Text für die in der Liste angezeigten Optionen.

Wert

Legt den numerischen Wert oder Textwert fest, der jeder Option in der Liste zugewiesen wurde. Der Wert wird dann mit dem Name-Wert gepaart, so dass Sie eine eindeutige ID erhalten. Wenn die Option gewählt und übermittelt wird, werden diese Informationen anstelle der oben für die Option Text festgelegten Informationen übermittelt.

Einfügen

Ermöglicht das Hinzufügen einer neuen Listenoption.

Liste

Zeigt alle Optionen an, die in der Liste angezeigt werden.

Nach oben

Verschiebt die ausgewählte Option vor die vorherige Listenoption.

Nach unten

Verschiebt die ausgewählte Option unter die vorherige Listenoption.

Löschen

Ermöglicht das Löschen der ausgewählten Listenoption.


Registerkarte "Allgemein" (Dialogfeld "Tabellenzelleneigenschaften")

Hier können Sie die Breite, die Höhe, die Farbe, die Ausrichtung, die Rahmenfarben, den Spaltenumfang und den Zeilenumfang von Tabellenzellen festlegen.

Hintergrundfarbe

Legt die Hintergrundfarbe der Zelle fest. Wählen Sie eine Farbe aus der Dropdown-Liste, oder wählen Sie die Schaltfläche mit den drei Punkten, um eine Farbe aus dem Dialogfeld Farbauswahl zu wählen. Diese Option überschreibt jede zuvor über die Registerkarte Allgemein des Dialogfelds Tabelleneigenschaften festgelegte Hintergrundfarbe für die Tabelle.

Ausrichtung

Horizontal

Legt die Ausrichtung von links nach rechts des Texts in der Zelle fest.

Vertikal

Legt die Ausrichtung von oben nach unten des Texts in der Zelle fest.

Abmessungen

Höhe

Gibt die Mindesthöhe der Tabelle in Pixel an. Die Tabelle kann größer angezeigt werden, um dem Inhalt zu entsprechen.

Breite

Legt die Breite der Tabellenzelle fest. Wählen Sie eine Maßeinheit für die Breite aus der nebenstehenden Dropdown-Liste.

Umfang

Spalten

Legt die Anzahl der Spalten fest, über die sich die Zelle in der Tabelle erstreckt.

Zeilen

Legt die Anzahl der Zeilen fest, über die sich die Zelle in der Tabelle nach unten erstreckt.

Rahmen

Legt für die Rahmenfarbe der Tabellenzelle die HTML-Attribute bordercolor (Basis), bordercolorlight (Markierung) und bordercolordark (Schatten) fest.

Farbe

Legt eine Basisrahmenfarbe für die Zelle fest. Wählen Sie einen Farbnamen aus der Dropdown-Liste, oder wählen Sie eine Farbe aus dem Dialogfeld Farbauswahl. Wenn Markierung und Schatten festgelegt wurden, wird die Einstellung für Farbe ignoriert.

Markierung

Legt die Farbe der unteren und rechten Seite der Tabellenzelle fest. Wählen Sie eine Farbe aus der Dropdown-Liste, oder wählen Sie eine Farbe aus dem Dialogfeld Farbauswahl. Verwenden Sie diese Option mit der Option Schatten, um den Eindruck einer dreidimensionalen Tabellenzelle zu erwecken.

Schatten

Legt die Farbe der oberen und linken Seite der Tabellenzelle fest. Wählen Sie eine Farbe aus der Dropdown-Liste, oder wählen Sie eine Farbe aus dem Dialogfeld Farbauswahl. Verwenden Sie diese Option mit der Option Markierung, um den Eindruck einer dreidimensionalen Tabellenzelle zu erwecken.

Anmerkung Verwenden Sie eine helle Farbe für Markierung und eine dunkle Farbe für Schatten, um den dreidimensionalen Effekt zu verstärken.

Text umbrechen

Gibt an, ob Text in Zellen umbrochen wird. Ist die Optione deaktiviert, wird der gesamte Text in einer Zeile angezeigt. Andernfalls bricht der Browser automatisch den Text in jeder Zelle um.


Registerkarte "Allgemein" (Dialogfeld "Tabelleneigenschaften")

Hier können Sie die Farbe, Höhe, Breite, Ausrichtung, Rahmenstärke, Rahmenfarbe und andere Optionen für eine Tabelle festlegen.

Optionen

Hintergrundfarbe

Legt die Hintergrundfarbe für die Tabelle fest. Wählen Sie eine Farbe aus der Dropdown-Liste aus, geben Sie einen RGB-Wert ein, oder wählen Sie die Schaltfläche mit den drei Punkten, um im Dialogfeld Farbauswahl eine Farbe auszuwählen.

Hintergrundbild

Legt die Bilddatei für die Hintergrundgrafik der Tabelle fest. Das Bild wird kachelartig hinter der Tabelle angeordnet, wenn die Tabelle die Länge und Breite des Bildes überschreitet. Geben Sie den Verzeichnispfad und den Namen für die Datei ein, oder suchen Sie mit der Schaltfläche mit den drei Punkten nach der Datei.

Anmerkung Wenn Sie eine Hintergrundfarbe festlegen und gleichzeitig ein Hintergrundbild angeben, wird das Hintergrundbild anstelle der Hintergrundfarbe angezeigt.

Abmessungen

Höhe

Gibt die Mindesthöhe der Tabelle in Pixel an. Die Tabelle kann größer angezeigt werden, um dem Inhalt zu entsprechen.

Breite

Gibt die Gesamtbreite der Tabelle an. Wählen Sie eine Maßeinheit für die Breite in der nebenstehenden Dropdown-Liste.

Layout

Ausrichtung

Legt die Positionierung der Tabelle auf der Seite fest. Tabellen werden standardmäßig am linken Seitenrand ausgerichtet.

Textabstand

Legt den Abstand zwischen den Seiten einer Tabellenzelle und ihrem Inhalt in Pixeln fest. Der Textabstand kann zwischen 0 und 999 Pixeln groß sein.

Zellenabstand

Legt den Abstand zwischen dem Tabellenrahmen und den Tabellenzellen und den Abstand zwischen den Zellen in Pixeln fest. Der Zellenabstand kann zwischen 0 und 999 Pixeln groß sein.

Rahmen

Legt für die Rahmenfarbe der Tabelle die HTML-Attribute bordercolor (Basis), bordercolorlight (Markierung) und bordercolordark (Schatten) fest.

Rahmenstärke

Legt die Breite des äußeren Tabellenrahmens in Pixeln fest. Der Rahmen kann zwischen 0 und 99 Pixeln groß sein. Wählen Sie einen größeren Wert, um die Breite des äußeren Tabellenrahmens zu erhöhen. Wählen Sie einen kleineren Wert, um die Breite des äußeren Tabellenrahmens zu verringern.

Rahmenfarbe

Legt für die Tabelle eine Basisrahmenfarbe fest. Wählen Sie einen Farbnamen aus der Dropdown-Liste, oder wählen Sie eine Farbe aus dem Dialogfeld Farbauswahl. Wenn Markierung und Schatten festgelegt wurden, wird die Einstellung für Farbe ignoriert.

Markierung

Legt die Farbe der unteren und rechten Seite aller Tabellenzellen und die Farbe der linken und oberen Seite des Tabellenrahmens fest. Wählen Sie eine Farbe aus der Dropdown-Liste, oder wählen Sie eine Farbe aus dem Dialogfeld Farbauswahl. Verwenden Sie diese Option mit der Option Schatten, um den Eindruck eines dreidimensionalen Tabellenrahmens zu erwecken.

Schatten

Legt die Farbe der oberen und linken Seite aller Tabellenzellen und die Farbe der rechten und unteren Seite des Tabellenrahmens fest. Wählen Sie eine Farbe aus der Dropdown-Liste, oder wählen Sie eine Farbe aus dem Dialogfeld Farben. Verwenden Sie diese Option mit der Option Markierung, um den Eindruck eines dreidimensionalen Tabellenrahmens zu erwecken.

Anmerkung Verwenden Sie eine helle Farbe für Markierung und eine dunkle Farbe für Schatten, um den dreidimensionalen Effekt zu verstärken.


HTML-Editor-Optionen (HTML --Dialogfeld Optionen)

HTML-Editor-Optionen (HTML —Dialogfeld Optionen)

Legt Einstellungen zum Arbeiten mit HTML- und ASP-Seiten im HTML-Editor fest.

Vorsicht Durch das Klicken auf Abbrechen werden alle Änderungen verworfen, die Sie im Dialogfeld vorgenommen haben. Wenn Sie in mehr als einer Kategorie Änderungen vorgenommen haben, werden keine dieser Änderungen gespeichert.

Optionen

Erste Ansicht

HTML-Seiten starten in

Quelle Automatisches Öffnen aller .htm-Dateien in der Quellcodeansicht des HTML-Editors.

Entwurf Automatisches Öffnen aller .htm-Dateien in der Entwurfsansicht des HTML-Editors.

Active Server Pages starten in

Quelle Automatisches Öffnen aller .asp-Dateien in der Quellcodeansicht.

Entwurf Automatisches Öffnen aller .asp-Dateien in der Entwurfsansicht.

Raster

Am Raster ausrichten

Die äußeren Begrenzungen von HTML-Elementen werden horizontal und vertikal an einem Gitter ausgerichtet, wenn Sie das Element mit Hilfe der Pfeiltasten oder der Maus bewegen.

Horizontaler Abstand

Gibt den Pixel-Abstand für die x-Achse des Rasters an.

Vertikaler Abstand

Gibt den Pixel-Abstand für die y-Achse des Rasters an.

Anmerkung Rastereinstellungen werden erst beim nächsten Öffnen eines Dokuments zugewiesen. Sie werden nicht in einem Dokument wirksam, das gerade geöffnet ist.

Darstellung der Quellansicht

Steuerelemente anzeigen

Grafisch Zeigt Entwurf-Steuerelemente, ActiveX®-Steuerelemente und andere Objekte so an, wie das Objekt auf der Seite im Browser dargestellt wird. Sie können auch mit anderen Objekten, wie z. B. Entwurf-Steuerelementen, die die Tastatur oder Maus verwenden, interaktiv arbeiten.

Text Zeigt Entwurf-Steuerelemente, ActiveX-Steuerelemente und andere Objekte als HTML-Text auf einer Seite an.

Warnung Wenn Sie den Text für ein Objekt bearbeiten, kann es sein, dass das Objekt nicht richtig arbeitet.

Behandlungsroutinen für Skript-Ereignisse

Anweisungsvervollständigung autom. hervorrufen

Zeigt automatisch Vervollständigsvorschläge für Anweisungen an, wenn Sie ein Ereignis aus dem Skriptgliederungs-Fenster auf eine Seite ziehen.

Darstellung in Entwurfsansicht

Details

Legt fest, dass HTML-Elemente, wie z. B. unbekannte Elemente, Skriptblöcke und Kommentare in der Entwurfsansicht als spezielle Grafiken angezeigt werden. Eine spezielle Grafik wird für den Anfangstag eines jeden Elements angezeigt.

Für unbekannte Elemente wird eine Grafik sowohl für den Anfangs- als auch für den Endtag angezeigt.

Rahmen

Zeigt an, dass Elemente mit einer Rahmenstärke von Null (0), wie z. B. Tabellen und Teilungen, in der Entwurfsansicht mit einer Rahmenstärke von eins (1) angezeigt werden.


Dialogfeld Lesezeichen

Ermöglicht Ihnen das Einfügen eines Lesezeichens (Zielort für einen Hyperlink-Sprung) in die aktuellen Seite. Sie können ein Lesezeichen aus dem markierten Text erstellen oder ein leeres Lesezeichen einfügen.

Optionen

Name

Gibt den Namen an, den Sie verwenden können, wenn Sie einen Sprung zu diesem Lesezeichen erstellen. Wenn Sie z. B. für ein Lesezeichen den Namen Copyright festlegen, können Sie direkt zu diesem Lesezeichen springen, indem Sie innerhalb der aktuellen Seite den Hyperlink #Copyright verwenden, oder einen Hyperlink der Art \\Server\Seitenname.htm#Copyright, von einer anderen Seite aus.


Dialogfeld Teilung einfügen

Ermöglicht Ihnen das Einfügen einer Teilung, die verwendet wird, um ein Dokument in Segmente aufzuteilen. Mit Hilfe von Teilungen können Sie andere HTML-Elemente , die Sie mit Informationen zum Stil versehen oder auf der Seite absolut platzieren möchten, zusammenfassen..

Wenn Text markiert ist, bevor Sie eine Teilung einfügen, wird der ausgewählte Text Teil der Teilung. Andernfalls fügt der Editor eine leere Teilung an der aktuellen Position der Einfügemarke ein.

Optionen

Positionierung

Absolut

Legt fest, dass die Teilung mit Hilfe der relativen x- und y-Koordinaten des Browserfensters auf der Seite positioniert werden kann. Absolut positionierte Elemente können an jeder Stelle auf der Seite angezeigt werden, unabhängig davon, wo sie eingefügt werden.

Anmerkung Absolute Positionierung wird nur von Browsern mit HTML 4.0-Implementierung unterstützt.

Inline

Legt fest, dass die Teilung auf der Seite zwischen denjenigen HTML-Elementen positioniert wird, die sie im Quellcode umgeben.


Dialogfeld Hyperlink

Ermöglicht Ihnen, die Art des Hyperlinks und das Zieldokument bzw. das Lesezeichen festzulegen, wenn Sie markierten Text als Hyperlink formatieren.

Optionen

Typ

Gibt das Protokoll an, das verwendet werden soll, wenn Sie eine Verknüpfung erstellen. Die folgende Tabelle zeigt die Protokolle für gebräuchliche Verknüpfungstypen.

Zweck | Protokoll
Springen zu einer anderen Webseite | http:
Springen zu einem Lesezeichen auf einer anderen Seite | http:
Springen zu einem Lesezeichen auf der aktuellen Seite | (andere)
Herunterladen und Öffnen einer Datei | file:.
Senden von E-Mail | mailto:
Zugreifen auf andere Internet-Ressourcen | Protokoll, das für diese Quelle benötigt wird, wie z. B. ftp:, gopher:, telnet: oder wais:.

URL

Gibt die URL-Adresse (Universal Resource Locator) für die Verknüpfung an. Geben Sie eine URL-Adresse ein oder klicken Sie auf die Schaltfläche Durchsuchen, um eine URL aus dem Dialogfeld URL erstellen auszuwählen (das Dialogfeld URL erstellen erscheint nur, wenn es sich bei Ihrem Projekt um ein Webprojekt handelt, sonst wird der Standarddialog Öffnen angezeigt). Verwenden Sie die folgenden Richtlinien für die Eingabe von URLs.

  • Für Webseiten und Dateien geben Sie den Server, den Pfad und den vollständigen Dateinamen (einschließlich Erweiterung) im Format //Server/Pfad/Datei.erw an, entsprechend dem folgenden Beispiel:
    //BeispielServer/BeispielProjekt/Startseite.htm
  • Für Lesezeichen auf einer andere Webseite geben Sie die Seite in der Form //Server/Pfad/Datei.erw an, gefolgt von einem # und dem Namen des Lesezeichens, entsprechend dem folgenden Beispiel:
    //BeispielServer/BeispielProjekt/Faq#Frage3
  • Für Lesezeichen auf derselben Seite geben Sie # und dann den Namen des Lesezeichens an, entsprechend dem folgenden Beispiel:
    #Inhalte
  • Für E-Mail geben Sie den E-Mail-Namen des Adressaten an, entsprechend dem folgenden Beispiel:
    webmaster@BeispielSite.com
  • Für andere Protokolle geben Sie die entsprechenden Informationen für das jeweilige Protokoll an.

Anmerkung Wenn Sie auf eine Datei verweisen, die nicht schon Teil Ihres Projekts ist, wird die Datei nicht automatisch zu Ihrem Projekt hinzugefügt.


Dialogfeld Bild einfügen

Ermöglicht Ihnen, den Dateinamen und die Formatattribute für ein Bild festzulegen, das Sie einer Webseite hinzufügen wollen.

Optionen

Bildquelle

Legt den Namen der Grafikdatei (.gif, .jpg oder .jpeg), die als Bild eingefügt werden soll, einschließlich des vollständigen Pfades fest. Klicken Sie auf Durchsuchen, um einen Namen auszuwählen.

Anmerkung Wenn Sie auf eine Bilddatei verweisen, die nicht schon zu Ihrem Projekt gehört, wird das Bild nicht automatisch Ihrem Projekt hinzugefügt.

Alternativer Text

Gibt den Text an, den der Browser anzeigt, wenn die Grafik nicht verfügbar ist. In einigen Browsern, wie z. B. dem Internet Explorer, wird der alternative Text auch in einer QuickInfo angezeigt, wenn der Anwender den Mauszeiger über die Grafik hält.

Layout

Ausrichtung

Gibt an, wie das Bild zum umgebenden Text ausgerichtet wird. Folgende Optionen stehen zur Verfügung:

Option | Ausrichtung
Left | Richtet am linken Rand aus.
Right | Richtet am rechten Rand aus.
Texttop | Richtet die Oberkante des Bildes am oberen Rand des Textes in der aktuellen Zeile aus.
Absmiddle | Richtet die Mitte des Bildes an der Mitte des Textes in der aktuellen Zeile aus.
Baseline | Richtet die Unterkante des Bildes an der Grundlinie des Textes in der aktuellen Zeile aus.
Absbottom | Richtet die Unterkante des Bildes am unteren Rand des Textes in der aktuellen Zeile aus.
Bottom | Wie Baseline.
Middle | Richtet die Mitte des Bildes an der Grundlinie des Textes in der aktuellen Zeile aus.
Top | Richtet die Oberkante des Bildes an der Oberkante des größten Elementes in der aktuellen Zeile aus.

Anmerkung Die Optionen Absmiddle, Baseline, Absbottom und Texttop werden nur von Browsern mit HTML 4.0-Implementierung untertützt.

Rahmenstärke

Gibt die Rahmenbreite für das Bild in Pixel an. Die Voreinstellung ist kein Rahmen.

Abstand

Horizontal

Gibt den horizontalen Abstand zwischen der linken bzw. rechten Seite des Bildes und dem umgebenden Text in Pixel an.

Vertikal

Gibt den vertikalen Abstand zwischen dem oberen bzw. unteren Rand des Bildes und dem umgebenden Text in Pixel an.


Dialogfeld Tabelle einfügen

Ermöglicht es Ihnen, eine leere HTML-Tabelle auf der Seite einzufügen.

Vorsicht Wenn Sie Text markieren und dann eine Tabelle einfügen, ersetzt die leere Tabelle den markierten Text.

Optionen

Zeilen

Gibt die Anzahl der Zeilen in der Tabelle an. Die resultierende Tabelle beinhaltet keine separate Zeile für Spaltenüberschriften.

Spalten

Gibt die Anzahl der Spalten an.

Tabellenattribute

Breite

Gibt die gesamte Breite der Tabelle an. Wählen Sie die entsprechende Maßeinheit (Pixel oder Prozent) aus der Liste neben diesem Feld aus.

Hintergrundfarbe

Gibt die Hintergrundfarbe der Tabelle an. Wählen Sie die Farbe im Dropdown-Listenfeld oder klicken Sie auf die Schaltfläche mit den drei Punkten, um das Dialogfeld Farbauswahl zu verwenden.

Hintergrundbild

Gibt eine Grafikdatei (.gif, .jpg oder .jpeg) an, die den Hintergrund hinter der Tabelle kachelförmig ausfüllt. Geben Sie eine URL-Adresse ein, oder wählen Sie einen Namen im Dialogfeld URL erstellen aus (das Dialogfeld URL erstellen erscheint nur, wenn es sich bei Ihrem Projekt um ein Webprojekt handelt, sonst wird der Standarddialog Öffnen angezeigt) indem Sie auf die Schaltfläche mit den drei Punkten klicken.

Anmerkung Wenn Sie auf eine Bilddatei verweisen, die nicht schon Teil Ihres Projektes ist, wird das Bild dem Projekt nicht automatisch hinzugefügt.

Rahmenfarbe

Gibt eine Farbe für den Tabellenrahmen an. Wählen Sie die Farbe im Dropdown-Listenfeld oder klicken Sie auf die Schaltfläche mit den drei Punkten, um das Dialogfeld Farbauswahl zu verwenden. Wenn die Tabelle keinen Rahmen hat, wird die Rahmenfarbe ignoriert.

Rahmenstärke

Gibt die Stärke des Tabellenrahmens in Pixel an. Geben Sie 0 ein, um festzulegen, dass kein Rahmen verwendet werden soll.

Ausrichtung

Gibt an, wie die Tabelle bezüglich des Dokuments ausgerichtet wird. Die folgenden Optionen stehen Ihnen zur Verfügung:

Option | Ausrichtung
Left | Richtet Zellinhalte am linken Rand aus.
Right | Richtet am Zellinhalte rechten Rand aus.
Center | Richtet Zellinhalte horizontal zentriert in der Zelle aus.

Zellenabstand

Gibt den Abstand zwischen den Zellen in Pixel an.

Textabstand

Gibt den Abstand zwischen Zelleninhalt und dem Zellenrahmen in Pixel an.

Zellattribute

Hintergrundfarbe

Gibt die gemeinsame Hintergrundfarbe für alle Zellen in der Tabelle an. Diese Hintergrundfarbe hat Vorrang vor der Hintergrundfarbe der Tabelle. Nach Erstellen der Tabelle können Sie die Hintergrundfarbe für jede Zelle individuell ändern oder entfernen. Wählen Sie die Farbe im Dropdown-Listenfeld oder klicken Sie auf die Schaltfläche mit den drei Punkten, um das Dialogfeld Farbauswahl zu verwenden.

Rahmenfarbe

Gibt die gemeinsame Rahmenfarbe für alle Zellen in der Tabelle an. Diese Rahmenfarbe hat Vorrang vor der Rahmenfarbe der Tabelle. Nach Erstellen der Tabelle können Sie die Rahmenfarbe für jede Zelle individuell ändern oder entfernen. Wählen Sie die Farbe im Dropdown-Listenfeld oder klicken Sie auf die Schaltfläche mit den drei Punkten, um das Dialogfeld Farbauswahl zu verwenden.

Ausrichtung

Gibt an, wie der Text in einer Zelle an ihrem Rahmen ausgerichtet ist. Nach Erstellen der Tabelle können Sie die Ausrichtungsoptionen für jede Zelle individuell ändern oder entfernen. Die folgenden Optionen stehen Ihnen zur Verfügung:

Option | Ausrichtung
Left | Richtet am linken Rand aus.
Right | Richtet am rechten Rand aus.
Texttop | Richtet die Oberkante des Bildes am oberen Rand des Textes in der aktuellen Zeile aus.
Absmiddle | Richtet die Mitte des Bildes an der Mitte des Textes in der aktuellen Zeile aus.
Baseline | Richtet die Unterkante des Bildes an der Grundlinie des Textes in der aktuellen Zeile aus.
Absbottom | Richtet die Unterkante des Bildes am unteren Rand des Textes in der aktuellen Zeile aus.
Bottom | Wie Baseline.
Middle | Richtet die Mitte des Bildes an der Grundlinie des Textes in der aktuellen Zeile aus.
Top | Richtet die Oberkante des Bildes an der Oberkante des größten Elementes in der aktuellen Zeile aus.

Anmerkung Die Optionen Absmiddle, Baseline, Absbottom und Texttop können nur von Browsern angezeigt werden, die HTML 4.0 unterstützen.

Text umbrechen

Gibt an, ob der Zellentext an der Zellenbegrenzung umgebrochen wird. Wenn diese Option deaktiviert ist, wird der gesamte Text einer Zelle auf einer Zeile erscheinen. Wenn die Option aktiviert ist , wird der Browser den Text für jede Zelle automatisch umbrechen. Nach Erstellen der Tabelle können Sie die Option Text umbrechen für jede Zelle individuell ändern.


Registerkarte Benannte Farben (Dialogfeld Farbauswahl)

Ermöglicht Ihnen die Auswahl einer von 140 Farben und die Rückgabe des Namens oder des Hexadezimalwerts der Farbe. Mit Hilfe dieser Registerkarte können Sie ebenfalls den Hexadezimalwert einer Farbe ermitteln oder den Farbnamen zu einem Hexadezimalwert.

Browser erkennen einen Basissatz von 16 Farbnamen, wie z.B. "Red", "Olive" und "Lime". Einige Browser, wie z.B. der Microsoft Internet Explorer, erkennen 124 weitere Namen, wie z.B. "DarkRed","Goldenrod" und "LawnGreen", also insgesamt 140 Namen. Die Registerkarte Benannte Farben ermöglicht Ihnen die Auswahl einer Farbe und die Rückgabe des korrekten, dazugehörigen Namens an Ihre Seite.

Alternativ dazu können Sie eine Farbe auswählen und den dazugehörigen Hexadezimalwert ermitteln. Dies empfiehlt sich oft dann, wenn Sie nicht sicher sind, welchen Browser ein Benutzer für Ihre Anwendung verwendet. Denn auch wenn ein Browser den Farbnamen nicht erkennt, kann er den entsprechenden Hexadezimalwert verarbeiten.

Die Art und Weise, in der die Farben vom Browser angezeigt werden, hängt von der Farbtiefe des Benutzercomputers ab. Die meisten Computer können mindestens 16 Grundfarben als feste Farbwerte anzeigen und zusätzliche Farben als Mischfarben aus den 16 Grundfarben (sogenannte Dithering-Farben). Computer, die auf eine höhere Farbtiefe eingestellt sind, können alle Farben als feste Farbwerte anzeigen.

Tipp Die besten Ergebnisse erhalten Sie, wenn Sie sich beim Erstellen einer Anwendung für eine Vielzahl von Browsern und Computern auf die 16 Grundfarben beschränken. Wenn Sie die Auswahl aus einer größeren Farbpalette wünschen, sollten Sie die Farben verwenden, die auf der Registerkarte Sichere Palette angezeigt werden.

Optionen

Basisfarbe

Zeigt eine Palette von Farben an, die von Computern mit der Einstellung auf 16 Farben unterstützt werden. Die Farben in der Standardpalette werden immer als feste Farbwerte angezeigt.

Weitere

Zeigt eine Palette von zusätzlich 124 benannten Farben an. Das Aussehen der Farben in der Zusatzpalette hängt von der gegenwärtig auf Ihrem Computer eingestellten Farbtiefe ab. Wenn Ihr Computer für die Anzeige von 256 Farben eingestellt ist, werden einige oder alle Farben in der Zusatzpalette gemischt. Der Farbwert, der vom Dialogfeld zurückgegeben wird, wird jedoch nicht von der auf Ihrem Computer eingestellten Farbtiefe beeinflusst.

Farbnamen verwenden

Legt fest, dass das Dialogfeld den Namen der ausgewählten Farbe zurückgibt. Wenn diese Option nicht ausgewählt ist, gibt das Dialogfeld den Hexadezimalwert der ausgewählten Farbe zurück.

Farbe

Zeigt Namen und Hexadezimalwert der gerade ausgewählten Farbe an. Der Wert in Klammern wird nur zur Information angezeigt. Der eigentliche Wert, der vom Dialogfeld Farbauswahl zurückgegeben wird, ist der Wert der nicht in Klammern steht. Wenn z. B. Farbnamen verwenden aktiviert ist, steht der Hexadezimalwert in Klammern.


Registerkarte Sichere Palette (Dialogfeld Farbauswahl)

Ermöglicht Ihnen die Auswahl einer Farbe aus einer Palette von 216 Farben, die für eine plattformübergreifende Verwendung optimiert wurde.

Die Sichere Palette enthält Farben, die auf den meisten Computern verfügbar sind, mit denen Websites durchsucht werden. Wenn Sie nur Farben aus dieser Palette wählen, minimieren Sie die Möglichkeit, dass der Browser eine Farbe findet, die er nicht anzeigen kann, und diese dann durch eine Farbe ersetzt, die in Ihrer Anwendung zu unerwünschten Ergebnissen führt.

Tipp Maximale Kompatibilität mit allen Browsertypen und Computern erhalten Sie, wenn Sie sich auf die 16 Grundfarben beschränken, die auf der Registerkarte Benannte Farben angezeigt werden.

Optionen

Klicken Sie auf eine Farbe in den Farbkästchen.

Farbe

Zeigt den Hexadezimalwert der momentan ausgewählten Farbe an.


Registerkarte Benutzerdefinierte Farbe (Dialogfeld Farbauswahl)

Ermöglicht es Ihnen, eine Farbe auszuwählen, die auf der Registerkarte Benannte Farben oder Sichere Palette vorgegeben ist. Sie erzeugen eine Farbe durch Mischen von Rot, Grün und Blau (RGB).

Diese Registerkarte ist in erster Linie hilfreich bei der Erstellung von Farben, die von Browsern und Computern, die eine Farbtiefe von 16-Bit oder höher unterstützen, angezeigt werden sollen, . Auf Computern mit einer geringeren Farbtiefe werden die meisten Farben durch Dithering dargestellt.

Optionen

Rot

Gibt den Rotanteil in der benutzerdefinierten Farbe an.

Grün

Gibt den Grünanteil in der benutzerdefinierten Farbe an.

Blau

Gibt den Blauanteil in der benutzerdefinierten Farbe an.

Farbe

Zeigt den Hexadezimalwert der aktuellen Farbe an.


Design-Symbolleiste

Enthält Schaltflächen, mit denen Sie die Anzeigeoptionen für Ihr Dokument in der Entwurfsansicht des HTML-Editors und die absolute Position der Elemente festlegen können. Die Schaltflächen auf der Symbolleiste sind nur in der Entwurfsansicht verfügbar.

Hinweis Die Entwurfsansicht ist nicht für Seiten verfügbar, die in Microsoft Office erstellt wurden. Sie können in der Quellcodeansicht HTML zwar ändern, die Entwurfsänderungen müssen jedoch in einem Microsoft Office-Programm erstellt werden. Die Entwurfsansicht ist nur für Seiten verfügbar, die im Microsoft Skript-Editor geöffnet wurden.

Schaltflächen

Symbolleisten-schaltfläche | Name | Beschreibung
 | Sichtbare Rahmen | Zeigt einen 1-Pixel Rahmen um HTML-Elemente wie z. B. Tabellen, Tabellenzellen und Unterteilungen an, die ein BORDER-Attribut besitzen, das auf Null gesetzt ist.
 | Details anzeigen | Zeigt Ersatzzeichen für HTML-Elemente an, die nicht sichtbar dargestellt werden, wie z. B. Kommentare, Skripts und Verankerungspunkte für absolut positionierte Elemente.
 | Absolute Positionierung | Konvertiert das markierte Element in ein absolut positioniertes Element (das über die x und y Koordinaten positioniert werden kann) oder konvertiert ein absolut positioniertes Element in ein statisches (das entsprechend der Position im zugehörigen HMTL-Text positioniert wird).
 | Sperren | Verhindert, dass ein absolut positioniertes Element versehentlich verschoben wird.
 | Absoluter Modus | Gibt an, dass neue Elemente, die von der Werkzeugsammlung gezogen werden, absolut positioniert werden. Anmerkung Der absolute Modus kann nur in der Entwurfsansicht verwendet werden.
 | Am Raster ausrichten | Gibt an, dass Elemente an einem unsichtbaren Raster ausgerichtet werden. Sie können den Rasterabstand im Dialogfeld Optionen einstellen. Das Raster wird dann geändert, wenn Sie das nächsten Mal ein Dokument öffnen.


HTML-Symbolleiste

Enthält Schaltflächen, über die Sie in einem HTML-Dokument Zeichen und Absätze formatieren können. Die Schaltflächen auf der HTML-Symbolleiste sind nur in der Entwurfs- und Quellcodeansicht verfügbar. Einige Schaltflächen sind nur in der Entwurfsansicht verfügbar.

Hinweis Die Entwurfsansicht ist nicht für Seiten verfügbar, die in Microsoft Office erstellt wurden. Sie können in der Quellcodeansicht HTML zwar ändern, die Entwurfsänderungen müssen jedoch in einem Microsoft Office-Programm erstellt werden. Die Entwurfsansicht ist nur für Seiten verfügbar, die im Microsoft Skript-Editor geöffnet wurden.

Für das Formatieren von Zeichen markieren Sie alle Buchstaben, die Sie formatieren wollen. In der Quellcodeansicht müssen Sie darauf achten, dass Sie nicht Teile von HTML-Tags mitmarkieren. Vollständige HTML-Tags können dagegen in der Markierung enthalten sein, so z. B. wenn Sie Text fett formatieren wollen, der schon kursiven Text enthält.

Für das Formatieren von Abschnitten platzieren Sie die Einfügemarke in dem Abschnitt, den Sie formatieren wollen. Wenn Sie mehrere Abschnitte auf einmal formatieren wollen, müssen Sie soviel Text markieren, dass mindestens ein Teil von jedem Abschnitt , den Sie formatieren wollen, markiert ist.

Schaltflächen

Schaltfläche der Symbolleiste | Name | Beschreibung
 | Absatzformat | Zeigt eine Dropdown-Liste mit HTML-Absatzarten an, die Sie für den aktuellen Abschnitt verwenden können. Nur in der Entwurfsansicht verfügbar.
 | Schriftname | Zeigt eine Dropdown-Liste mit den Namen der Schriften an, die Sie für den momentan markierten Text verwenden können. Nur in der Entwurfsansicht verfügbar. In dieser Liste werden Schriftarten angezeigt, die auf Ihrem Computer verfügbar sind. Wenn der Text auf einem Computer angezeigt wird, auf dem die von Ihnen festgelegte Schriftart nicht verfügbar ist, wählt der Browser eine Ersatzschriftart.
 | Schriftgrad | Zeigt eine Dropdown-Liste mit HTML-Schriftgraden an (1 bis 7), die Sie für den gerade markierten Text verwenden können. Nur in der Entwurfsansicht verfügbar. HTML-Schriftgrade sind keine absoluten Größen. Sie bilden eine Skala von relativen Größen, die vom Browser interpretiert werden, wenn er den Text anzeigt.
 | Fett | Schaltet den markierten Text zwischen fett und normal um.
 | Kursiv | Schaltet den markierten Text zwischen kursiv und normal um.
 | Unterstrichen | Schaltet den markierten Text zwischen unterstrichen und normal um.
 | Vordergrundfarbe | Zeigt das Dialogfeld Farbauswahl an, das es Ihnen ermöglicht, dem markierten Text eine Farbe zuzuweisen. Nur in der Entwurfsansicht verfügbar.
 | Hintergrundfarbe | Zeigt das Dialogfeld Farbauswahl an, das es Ihnen ermöglicht, dem markierten Text eine Hintergrundfarbe zuzuweisen. Nur in der Entwurfsansicht verfügbar.
 | Links ausrichten | Richtet die momentan markierten Abschnitte am linken Rand aus. Nur in der Entwurfsansicht verfügbar.
 | Zentrieren | Zentriert die momentan markierten Abschnitte im Browserfensters. Nur in der Entwurfsansicht verfügbar.
 | Rechts ausrichten | Richtet die momentan markierten Abschnitte am rechten Rand aus. Nur in der Entwurfsansicht verfügbar.
 | Aufzählung | Wandelt die momentan markierten Abschnitte in eine Aufzählung um. Nur in der Entwurfsansicht verfügbar. Um ein neues Aufzählungselement zu erstellen, platzieren Sie die Einfügemarke in der Aufzählung und drücken die EINGABETASTE. Wenn Sie die EINGABETASTE drücken, während Sie sich im letzten Aufzählungselement befinden, erstellt der Editor einen neuen Abschnitt außerhalb der Aufzählung.
 | Nummerierung | Wandelt die momentan markierten Abschnitte in eine nummerierte Liste um. Nur in der Entwurfsansicht verfügbar. Um ein neues Listenelement zu erstellen, platzieren Sie die Einfügemarke in der Liste und drücken die EINGABETASTE. Wenn Sie die EINGABETASTE drücken, während sich die Einfügemarke im letzten Listenelement befindet, erstellt der Editor einen neuen Abschnitt außerhalb der Liste.
 | Einzug verkleinern | Entfernt eine zuvor mit Einzug vergrößern zugewiesene Einzugsstufe. Nur in der Entwurfsansicht verfügbar.
 | Einzug vergrößern | Rückt den markierten Absatz um eine Stufe ein. Die Größe des Einzugs wird durch den Browser bestimmt, wenn er die Seite anzeigt. Nur in der Entwurfsansicht verfügbar.
 | Hyperlink | Zeigt das Dialogfeld Hyperlink an, mit dessen Hilfe Sie den momentan markierten Text in einen Hyperlink umwandeln können.


Aktualisieren-Symbolleiste

Die Aktualisieren-Symbolleiste ist nur verfügbar, wenn Sie mit Seiten arbeiten, die in Microsoft® Office erstellt wurden.

Diese Symbolleiste wird immer dann angezeigt, wenn das HTML-Format für eine Seite in Microsoft Office geändert wurde. Die Aktualisieren-Symbolleiste ist modal: Sie müssen eine Symbolleisten-Schaltfläche auswählen, bevor Sie auf die Seite im HTML-Editor zugreifen können. Nachdem Sie eine Schaltfläche ausgewählt haben, wird die Symbolleiste ausgeblendet.

Schaltflächen

Schaltfläche | Beschreibung
Aktualisieren | Weist der HTML-Seite die Änderungen zu, die in Microsoft Office vorgenommen wurden.
Nicht aktualisieren | Zeigt die HTML-Seite ohne die Änderungen an, die in Microsoft Office vorgenommen wurden.


Thema nicht gefunden

Es wurde kein entsprechendes Thema gefunden. Mögliche Ursachen und Problemlösungen hierfür sind z. B.:

  • Die Datei (.chm), die das Zielthema enthält, befindet sich nicht in dem erwarteten Verzeichnis.

    Problemlösung: Starten Sie erneut das Setup von MSDN Library.

  • Die Datei (.chm), die das aktuelle oder das Zielthema enthält, ist veraltet und die Verknüpfung ist nicht mehr gültig.

    Problemlösung: Installieren Sie die neueste Version von MSDN Library.

  • Die MSDN Library-CD befindet sich nicht im CD-ROM-Laufwerk.

    Problemlösung: Legen Sie die MSDN Library-CD in das CD-ROM-Laufwerk.